%global gohomepath      github.com/canonical
%global goipath         %{gohomepath}/chisel

Summary:        Chisel is a software tool for carving and cutting RPM packages
Name:           chisel
Version:        1.0.0
Release:        1%{?dist}
License:        AGPL-3.0
URL:            https://github.com/TencentOS/chisel
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz


BuildRequires:  golang go-rpm-macros

%description
It is built on the idea of package slices - minimal, 
complimentary and loosely coupled sets of files, 
based on the package’s metadata and content. 
Slices are basically subsets of the Debian packages, 
with their own content and set of dependencies to other internal and external slices.

%prep
%autosetup -p1
tar -xzf %{SOURCE1}


%build
export GOPATH=$PWD/.gopath
mkdir -p $GOPATH/src/%{gohomepath}
ln -sfn $PWD $GOPATH/src/%{goipath}
%gobuild -o bin/chisel %{goipath}/cmd/chisel

%install
install -Dm 755 bin/chisel %{buildroot}%{_bindir}/chisel

%files
%license LICENSE
%doc README.md
%{_bindir}/chisel

%changelog

* Tue Feb 25 2025 Feng Weiyao <wynnfeng@tencent.com> - 1.0.2-1
- initial build
